Bug 1649549 - Accounts with non-bash default shell get skipped
Summary: Accounts with non-bash default shell get skipped
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: accountsservice
Version: 29
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 20:58 UTC by Matt Novenstern
Modified: 2019-11-27 19:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:54:36 UTC


Attachments (Terms of Use)

Description Matt Novenstern 2018-11-13 20:58:48 UTC
Description of problem:
My user is missing from gdm's list of users and gnome-settings' list of users on the users tab.

A helpful Southern_Gentlem on #fedora on freenode said people with non-bash login shells have been having problems like this and, sure enough, chsh'ing my shell to bash makes me show up again.

Version-Release number of selected component (if applicable):
Name         : accountsservice
Version      : 0.6.54
Release      : 1.fc29
Arch         : x86_64
Size         : 351 k
Source       : accountsservice-0.6.54-1.fc29.src.rpm
Repo         : @System
From repo    : updates-testing


How reproducible:
Had it happen on two computers

Steps to Reproduce:

chsh -s /usr/bin/fish $USER

/usr/libexec/accounts-daemon --debug
# skipping user: $USER

chsh -s /usr/bin/bash $USER

/usr/libexec/accounts-daemon --debug
# loaded user: $USER

Actual results:
* User isn't listed in any gnome shell user list (gdm, users in gnome settings)
* If there isn't a second user on the system with a bash shell, gnome initial setup starts

Expected results:
User account is listed in lists of users

Additional info:
I've also been having sessions crash when resuming from suspend that might be related.

Comment 1 Matt Novenstern 2018-11-13 21:16:20 UTC
Hmm, I spoke a bit too soon.  While accounts-daemon isn't skipping my user anymore, it still doesn't show up in gdm or the users tab in gnome settings.

Comment 2 Matt Novenstern 2018-11-13 23:53:55 UTC
Building https://gitlab.freedesktop.org/accountsservice/accountsservice master
and then running 

LD_LIBRARY_PATH=. sudo ./src/accounts-daemon --replace

causes my user to show up in gnome control center's users panel.

Comment 3 Matt Novenstern 2018-11-14 00:41:21 UTC
Sorry for the comment spam, but to wrap up my investigation, it seems like there is an unreleased (no version tagged) commit that fixes a bug where a string for minimum user id was treated like an integer.  I've replaced /usr/libexec/accounts-service with the version built from master on my systems and it seems to be working fine.

I've opened an issue on freedesktop gitlab to request a patch version with the fix: https://gitlab.freedesktop.org/accountsservice/accountsservice/issues/59

Comment 4 Ben Cotton 2019-10-31 20:30:41 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 19:54:36 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.